Part Plane/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(One intermediate revision by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu}} <!-- Note: Needs Usage section with ordered list. -->


{{Docnav/ru
{{Docnav/ru
Line 11: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part_Plane
|Name=Part_Plane
Line 18: Line 18:
|SeeAlso=[[Part_Primitives/ru|Создать примитивы...]]
|SeeAlso=[[Part_Primitives/ru|Создать примитивы...]]
}}
}}
</div>


==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Создаёт простую параметрическую плоскость 10х10мм с параметрами положение, длина и ширина.
Создаёт простую параметрическую плоскость 10х10мм с параметрами положение, длина и ширина.
По умолчанию плоскость расположена в начале координат (0,0,0).
По умолчанию плоскость расположена в начале координат (0,0,0).
</div>


[[File:PartPlane.png]]
[[Image:Part_Plane_Example.png|400px]]


== Применение ==
== Применение ==


See [[Part_Primitives#Usage|Part Primitives]].
По умолчанию плоскость создаётся с нижним левым углом расположенным в начале координат{{incode|0,0,0}}.
Для изменения этих параметров, откройте раздел Расположение и введите нужные значения в соответствующие поля ввода или нажмите на кнопку [[3D_view/ru|3D-вида]] и выберите точку, координаты точки берутся из полей.
В меню Направление вы также можете определить стандартный вектор (X, Y или Z), перпендикулярный плоскости, или нажать кнопку Определяемый Пользователем ... чтобы открыть диалоговое окно , позволяющее установить другую несущую направляющую (например, направление 1.0, -1 создаст плоскость, наклонённую на 45° относительно осей X и Z).


== Example ==
<div class="mw-translate-fuzzy">

Свойства могут быть изменены позже в {{MenuCommand|Комбо панели → Данные}}, после выбора элемента.
[[Image:Part_Plane_Scripting_Example.png|thumb|Part Plane from the scripting example]]
</div>

A Part Plane object created with the [[#Scripting|scripting example]] below is shown here.


== Свойства ==
== Свойства ==

See also: [[Property_editor|Property editor]].

A Part Plane object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Данные ===
=== Данные ===


{{TitleProperty|Основные}}
{{TitleProperty|Attachment}}


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
* {{PropertyData|Label}} : String name of the object, defaults to 'Plane'. User may rename it.
* {{PropertyData|Placement}}: Placement of feature is defined by below angle, axis and position.
*{{PropertyData|Angle}} : Angle of rotation relative to the below axis.
*{{PropertyData|Axis}} : Defines the axis of rotation plane: X, Y, or Z. Defaults to Z axis, Z = 1
*{{PropertyData|Position}} : Position X, Y, Z, relative to the origin 0, 0, 0.


{{TitleProperty|Plane}}
{{TitleProperty|Plane}}


* {{PropertyData|Length}} : Length is the dimension along the X axis The default value is 10 mm
* {{PropertyData|Length|Length}}: The length of the plane. This is the dimension in its X direction. The default is {{Value|10mm}}.
* {{PropertyData|Width}} : Width is the size of the Y-axis The default value is 10 mm
* {{PropertyData|Width|Length}}: The width of the plane. This is the dimension in its Y direction. The default is {{Value|10mm}}.


=== Вид ===
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
You have the standard properties view.

A Part Plane can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
}}

* Where {{Incode|"myPlane"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()
}}




Line 67: Line 94:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:03, 3 March 2022

Плоскость

Системное название
Part_Plane
Расположение в меню
ДетальСоздать примитивы... → Плоскость
Верстаки
Part(Деталь)
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы...

Описание

Создаёт простую параметрическую плоскость 10х10мм с параметрами положение, длина и ширина. По умолчанию плоскость расположена в начале координат (0,0,0).

Применение

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Свойства

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Данные

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • ДанныеLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • ДанныеWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()